Resolido Docs
Ai agents

Restore prompt version

POST
/prompt-revisions/{revisionId}/restore

Restore an older version of an agent's instructions, critical instructions and skill texts. Owner/admin.

Authorization

bearer agents:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: agents:write

Path Parameters

revisionId*string

Prompt revision id. Never invent ids – list resources first.

Length1 <= length <= 64

Response Body

Success

application/json
  1. response
restored*true
Value intrue
missingSkillIds*array<string>
curl -X POST "https://example.com/prompt-revisions/string/restore"
{  "restored": true,  "missingSkillIds": [    "string"  ]}